import { openBlock as s, createElementBlock as d, createElementVNode as t, toDisplayString as _, renderSlot as n, pushScopeId as c, popScopeId as a } from "vue";
import { _ as i } from "./DashboardPlugin-1aa3a071.js";
const r = (e) => (c("data-v-478d8fbe"), e = e(), a(), e), p = { class: "grid-stack-item-content" }, l = { class: "content-header" }, m = /* @__PURE__ */ r(() => /* @__PURE__ */ t("div", null, " show/hide", -1)), u = {
  __name: "NavWidget",
  props: {
    navType: String
  },
  emits: [],
  setup(e, { emit: v }) {
    return (o, f) => (s(), d("div", p, [
      t("div", l, [
        t("h3", null, _(e.navType.replace(/([A-Z])/g, " $1").trim()), 1),
        m
      ]),
      n(o.$slots, "default", {}, void 0, !0)
    ]));
  }
}, S = /* @__PURE__ */ i(u, [["__scopeId", "data-v-478d8fbe"]]);
export {
  S as default
};
